# PediHaplotyper example script

# First copy PediHaplotyper.r and the files from PediHaplotyper_Example/input to d:/Example

setwd("d:/Example")

source("PediHaplotyper.r")

tworows2twocols(source="phasedgenotypes_2rows.dat", target="phasedgenotypes.dat", sep="\t")

haplotyping_session(sessionID="A", mapfile="map.dat", pedigreefile="pedigree.dat", phasedgenofile="phasedgenotypes.dat")

fq_haplotyping_session(sessionID="B", mapfile="flexQTL.map")

# After this the file contains most of the files in PediHaplotyper_Example/output,
# except for the Pedimap project files (*.pmp)
# With Pedimap installed, these *.pmp files can be opened to obtain a graphical
# overview of the markers or haploblock alleles at the start or end of the
# process
